gsm0808_speech_codec Struct Reference

3GPP TS 48.008 3.2.2.104 Speech Codec More...

`#include <gsm_08_08.h>`

## Data Fields

bool | fi
bool | pi
bool | pt
bool | tf
uint8_t | type
| See enum gsm0808_speech_codec_type. More...
uint16_t | cfg
| For examples, see enum gsm0808_speech_codec_defaults. More...

## Detailed Description

3GPP TS 48.008 3.2.2.104 Speech Codec

## Field Documentation

## cfg

uint16_t gsm0808_speech_codec::cfg

For examples, see enum gsm0808_speech_codec_defaults.

Referenced by enc_speech_codec(), gsm0808_dec_speech_codec(), and gsm0808_speech_codec_from_chan_type().

## fi

bool gsm0808_speech_codec::fi

Referenced by enc_speech_codec(), gsm0808_dec_speech_codec(), and gsm0808_speech_codec_from_chan_type().

## pi

bool gsm0808_speech_codec::pi

Referenced by enc_speech_codec(), and gsm0808_dec_speech_codec().

## pt

bool gsm0808_speech_codec::pt

Referenced by enc_speech_codec(), and gsm0808_dec_speech_codec().

## tf

bool gsm0808_speech_codec::tf

Referenced by enc_speech_codec(), and gsm0808_dec_speech_codec().

## type

uint8_t gsm0808_speech_codec::type

See enum gsm0808_speech_codec_type.

Referenced by enc_speech_codec(), gsm0808_dec_speech_codec(), and gsm0808_speech_codec_from_chan_type().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_08_08.h